Bug 1004899 - Remove legacy subscription hooks from cartridge manifests
Remove legacy subscription hooks from cartridge manifests
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 13:24 EDT by Paul Morie
Modified: 2015-05-14 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:49:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-09-05 13:24:17 EDT
Many of the framework cartridge manifest reference set-mysql-db-connection-info and set-postgresql-db-connection-info, which are now defunct.  These should be removed.
Comment 1 openshift-github-bot 2013-09-05 17:15:28 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/52d497306ebc593a02cbbfd24f20f3a17e8423d6
Fix bug 1004899: remove legacy subscribes from manifests
Comment 2 openshift-github-bot 2013-09-05 17:15:28 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/ec6f063eff776ef33699a816140ab7d76a419548
Fix bug 1004899: remove legacy subscribes from manifests
Comment 3 Yan Du 2013-09-06 05:55:20 EDT
test on devenv_3749, 

steps:
1. create a scaling app
2. ssh into app and make sure the legacy subscribes from manifests have removed
3. add mysql-5.1 and postgresql-8.4
4. ssh into app run env| grep MYSQL and env | grep POSTGRESQL

[perls-ccc.dev.rhcloud.com 5229a20d0fcb72989b0001fc]\> env | grep MYSQL
OPENSHIFT_MYSQL_DB_PORT=38046
OPENSHIFT_MYSQL_DB_HOST=5229a3020fcb7274db000010-ccc.dev.rhcloud.com
OPENSHIFT_MYSQL_DB_PASSWORD=bbJ_UGEUuvJC
OPENSHIFT_MYSQL_DB_GEAR_UUID=5229a3020fcb7274db000010
OPENSHIFT_MYSQL_DB_USERNAME=adminXAuUds4
OPENSHIFT_MYSQL_DB_URL=mysql://adminXAuUds4:bbJ_UGEUuvJC@5229a3020fcb7274db000010-ccc.dev.rhcloud.com:38046/
OPENSHIFT_MYSQL_DB_GEAR_DNS=5229a3020fcb7274db000010-ccc.dev.rhcloud.com
[perls-ccc.dev.rhcloud.com 5229a20d0fcb72989b0001fc]\> 
[perls-ccc.dev.rhcloud.com 5229a20d0fcb72989b0001fc]\> 
[perls-ccc.dev.rhcloud.com 5229a20d0fcb72989b0001fc]\> env | grep POSTGRESQL
OPENSHIFT_POSTGRESQL_DB_PASSWORD=6eByQngKKAp2
OPENSHIFT_POSTGRESQL_DB_HOST=7acf0e4216d811e3add122000ab814b3-ccc.dev.rhcloud.com
OPENSHIFT_POSTGRESQL_DB_GEAR_DNS=7acf0e4216d811e3add122000ab814b3-ccc.dev.rhcloud.com
OPENSHIFT_POSTGRESQL_DB_USERNAME=adminljgvjff
OPENSHIFT_POSTGRESQL_DB_GEAR_UUID=7acf0e4216d811e3add122000ab814b3
OPENSHIFT_POSTGRESQL_DB_URL=postgresql://adminljgvjff:6eByQngKKAp2@7acf0e4216d811e3add122000ab814b3-ccc.dev.rhcloud.com:38116/
OPENSHIFT_POSTGRESQL_VERSION=8.4
OPENSHIFT_POSTGRESQL_DB_PORT=38116


move to verified.

Note You need to log in before you can comment on or make changes to this bug.